function [nNearestNeighsIds,allDist] = getNearestObjIds(thisObj,nextObj,maxNeighs,...
    maxDist)

allDist = pdist2(thisObj,nextObj);                             
%calculate all possible distances between two frames
allDist(allDist>maxDist)=Inf;
thisL = length(thisObj);
nextL = length(nextObj);
if maxNeighs<nextL
    minLength = maxNeighs;
else
    minLength = nextL;
end
nNearestNeighsIds=zeros(thisL,minLength);
for i=1:thisL
    [~,smallestNIdx] = getNSmallestElements(allDist(i,:),minLength);
    nNearestNeighsIds(i,:) = smallestNIdx;
end

function [smallestNElements,smallestNIdx] = getNSmallestElements(A, n)
        [ASorted,AIdx] = sort(A);
        smallestNElements = ASorted(1:n);
        smallestNIdx = AIdx(1:n);
end

end